#============================================================#
#                      В Н И М А Н И Е
#-------------------------------------------------------------
# Эти настройки влияют на "поведение" вашего сервера.
# Эти настройки будут полезны при отладке сервера.
#--------------------------------------------------------------
# Отладка и разработка
#--------------------------------------------------------------
# Не загружать квесты
AltDevNoQuests = False

# Не загружать таблицу спауна
AltDevNoSpawns = False

# Не загружать скрипты
AltDevNoScript = False

# Не загружать AI
AltDevNoAI = False

# Не загружать РБ и ГБ
AltDevNoRB = False

# Включение режима "отладка"
# Выводит инфромационные сообшения в лог по работе сервера
Debug = False

# Включение режима "разработка"
# Выводит не критические исключения
Developer = False

# Включение режима "тест сервера"
# Отображается у игроков, как test-server
TestServer = False

# Настройки выбора сервера
# Показывать сервер в квадратных скобках
ServerListBrackets = False

# Показывать возле сервера часы
ServerListClock = False

# Если truе, то на сервер могут зайти только ГМ
ServerGMOnly = False

# Шаблон имени персонажа
# Например, если использовать такой шаблон: CnameTemplate=[A-Z][a-z]{3,3}[A-Za-z0-9]*
# будет разрешать использовать имена с большой буквы и последующими маленькими,
# и любыми словами или цифрами, к примеру ZbigN1eW
# Наиболее рационально поставить CnameTemplate=[A-Z][a-z]*
# т.е. именя начинаются с большой и заканчиваются маленькими буквами, к примеру Zbigniew
# Default .* - можно использовать любые символы
CnameTemplate = .*
PetNameTemplate = .*
ClanNameTemplate = .*

# Максимальное количество персонажей на аккаунте - по умолчанию 7 (0 = нелимитировано [7 является пределом клиента])
CharMaxNumber = 7

# Разрешенные для подключения минимальные и максимальные протоколы клиента.
# Должно быть соответствие MinProtocolRevision <= MaxProtocolRevision.
MinProtocolRevision = 737
MaxProtocolRevision = 746

#------------------------------------------------------------------
# Настройка потоков
#------------------------------------------------------------------
# Количество потоков эффектов
ThreadPoolSizeEffects = 10

# Количество главных потоков
ThreadPoolSizeGeneral = 5

# Количество пакетных потоков IO
# По умолчанию 2
UrgentPacketThreadCoreSize = 5

# Количество основных пакетных потоков
# По умолчанию 4
GeneralPacketThreadCoreSize = 4

# Основные потоки ядра
# По умолчанию 4
GeneralThreadCoreSize = 4

# Количество потоков AI
# по умолчанию 4
AiMaxThread = 10

#--------------------------------------------------------------
# Другое
#--------------------------------------------------------------
# Настройки GameGuard
#   GameGuardEnforce - посылать запрос gameguard`а при входе чара
#   GameGuardProhibitAction - запрещяет игроку использовать трейд, разговор с НПС,
#     или двигатся пока не получит подтверждение от gameguard`а.
GameGuardEnforce = False
GameGuardProhibitAction = False
GameGuardKey = 0
GameGuardNumWindowFromSamePC = 0
GameGuardAnnounceAllAboutHack = True

# Укажите идентификатор (ID) вашего сервера  (например- 0 это Bartz).
RequestServerID = 0

# Максимальное количество одновременно играющих игроков.
MaximumOnlineUsers = 1000

# Использовать кэширование html файлов (True или False)
# (Загружает html в кэш только при первом запросе)
LazyCache = True